import Pannel from '@/components/pannel/index.vue';
import Block from '@/components/block/index.vue';
import data from './data.js';
import { analysisOfFixedAssetOverview } from '../../../../api/index.js';
import { mapGetters } from 'vuex';
export default {
  components: {
    Block,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      isLoad: false,
      data
    };
  },
  created () {
    this.getData()
  },

  methods: {
    getData () {
      if (this.year && this.deptId) {
        this.isLoad = false;
        analysisOfFixedAssetOverview(this.deptId, this.year).then(res => {
          this.data[0][0].value = res.data.num
          this.data[0][1].value = res.data.zyz
          this.data[1][0].value = res.data.numJyx
          this.data[1][1].value = res.data.jyxzyz
          this.isLoad = true;
        })
      }
    }
  },
};
